Update point of interest by code

GEOLOCALIZATION

New Pois can be geocoded when being created. There are some considerations to take into account:

  • If latitude and longitude are present, it won't geocode based on the address, longAddress or geocodeByCep object. BUT will try to fetch an address with that coordinates and if it's a valid one, it will be replace as the Poi address. IE: if latitude:0 and longitude:0, it will not geocode and will try to fetch an address from [0,0] but won't get any result, so the address will not change.
  • If latitude and longitude are not present, it will prioritize the addresses in this order
    1. geocodeByCep: if this objects is present and is valid, address and longAddress will be ignored
    2. address: if this objects is present, longAddress will be ignored. IE If you dont't want to use address object, remove it entirely so that longAddress can be used
    3. longAddress: if this string is present, it will try to gecode based on this string.
Path Params
string
required
Body Params

Poi properties that will be updated

string
length ≤ 255

Poi name

address
object

Address componentes, If these properties are not filled we will geocode with longAddress value

string
length ≤ 255

Poi address

number

Poi longitude coordinate

number

Poi latitude coordinate

geocodeByCep
object

Object to geocode by CEP

boolean

Poi status

string

Poi delivery area code

string

Poi sale area code

string

Poi type code from /poi/types

string

Poi first address entered

string
length between 1 and 200

Poi phone

string

Poi taxId

integer
50 to 500

Poi radius (meters)

string
length ≤ 16

Poi grouping

string
enum

Poi frequency

Allowed:
string

ERP code - DEPRECATED

visitingDaysDevice1
array of integers

Poi visiting day for deviceId1 "Monday -> 1, Sunday -> 7" - DEPRECATED

visitingDaysDevice1
string

ERP code - DEPRECATED

visitingDaysDevice2
array of integers

Poi visiting day for deviceId2 "Monday -> 1, Sunday -> 7" - DEPRECATED

visitingDaysDevice2
string

ERP code - DEPRECATED

visitingDaysDevice3
array of integers

Poi visiting day for deviceId3 "Monday -> 1, Sunday -> 7" - DEPRECATED

visitingDaysDevice3
string

ERP code - DEPRECATED

visitingDaysDevice4
array of integers

Poi visiting day for deviceId4 "Monday -> 1, Sunday -> 7" - DEPRECATED

visitingDaysDevice4
integer

Poi visiting order - DEPRECATED

string

comments/observations

string
length ≤ 255

Poi Email (More than one separated by commas)

timeWindow
array of objects

Poi visiting time windows (use User TimeZone)

timeWindow
string

delay time in Poi

string

Additional Comments when delivering to this Poi

notificationConfig
object

Notifications configuration

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json